Bug 1731920 - [geo-rep]: gluster command not found while setting up a non-root session
Summary: [geo-rep]: gluster command not found while setting up a non-root session
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kotresh HR
QA Contact:
URL:
Whiteboard:
Depends On: 1720992
Blocks: 1733880 1733881
TreeView+ depends on / blocked
 
Reported: 2019-07-22 12:00 UTC by Kotresh HR
Modified: 2019-07-29 06:12 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1720992
: 1733880 1733881 (view as bug list)
Environment:
Last Closed: 2019-07-23 03:23:14 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 23089 None Merged geo-rep: Fix mount broker setup issue 2019-07-23 03:23:13 UTC

Description Kotresh HR 2019-07-22 12:00:45 UTC
+++ This bug was initially created as a clone of Bug #1720992 +++

Description of problem:
=======================
While trying to set up a secure (non-root) geo-rep session, the following error is thrown :

[root@dhcp42-131]# gluster volume geo-replication master geoaccount@10.70.42.250::slave create push-pem
gluster command on geoaccount@10.70.42.250 failed. Error: bash: gluster: command not found
geo-replication command failed


Version-Release number of selected component (if applicable):
=============================================================
mainline

How reproducible:
=================
1/1

Steps to Reproduce:
===================
Follow the guide to create a non-root session. 
It fails at create. 

Creating a group, user, setting up a mountbroker directory, adding slave volume to the mountbroker service is successful. 

Actual results:
================
Gluster command not found while trying to create a non-root session

Expected results:
================
Should be able to create a non-root session successfully.

Comment 1 Worker Ant 2019-07-22 12:10:59 UTC
REVIEW: https://review.gluster.org/23089 (geo-rep: Fix mount broker setup issue) posted (#1) for review on master by Kotresh HR

Comment 2 Worker Ant 2019-07-23 03:23:14 UTC
REVIEW: https://review.gluster.org/23089 (geo-rep: Fix mount broker setup issue) merged (#2) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.